module Day3 (day3) where

import Day3.Part1 (rearrangementPriority)
import Day3.Part2 (sumOfBadgePriorities)

day3 :: IO ()
day3 = do
   input <- readFile "ressources/day03-input"
   putStrLn "Day3"
   let score1 = rearrangementPriority input
   putStrLn ("Sum of rearrangement priorities " ++ show score1)
   let score2 = sumOfBadgePriorities input
   putStrLn ("Sum of badge priorities " ++ show score2)
   return ()
